<?php
ViewResponse::getInstance()->setMethodAjax();
use_helper('UtilFunctions');
$o_ObjectBean = new PrestamoBean();
  
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
		
	}else{
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
}

if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }

$o_ObjectBean->setEstado('P');
$o_ObjectBean->setFlagReporte('2');
//$fechaPago = date('Y-m-d',strtotime('-2 day'));
//$o_ObjectBean->setFechaPagoMin($fechaPago);

$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);
/*****************************************/



$pdf = new TCPDF('P', 'mm','A4', true); 

$pdf->setHeaderFont(array('times','',12));
$pdf->setFooterMargin('12');


$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador(myUser::getUser()->getIdColaborador());
$o_ColaboradorBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);

foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreRepresentante = utf8_encode(ucwords($o_Colaborador->getNombreCompleto()));
	
}

$o_MercadoBean = new MercadoBean();
$o_MercadoBean->setIdMercado($cboMercado);
$o_MercadoBL = new MercadoBL();
$a_o_Mercado = $o_MercadoBL->busquedaMercado($o_MercadoBean);

foreach ($a_o_Mercado as $key => $o_Mercado){
	$NombreMercado = utf8_encode(ucwords($o_Mercado->getDescripcion()));
}


$str = 'Mercado:'.ucwords($NombreMercado).'          *Representante :'.ucwords($NombreRepresentante).'        Fecha:'.date('Y-m-d');


$pdf->setHeaderData('','','Cobranza Diaria',$str);

define("POS_IZQ", 10);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',14);
$pdf->SetX(POS_IZQ);


/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',13);
$pdf->SetXY(POS_IZQ,15);


foreach ($a_ObjectBean as $iKey => $o_objBean){
  $sumaTotalSaldo += $o_objBean->getSaldoPrestamo();
   if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 	
  	$sumaVencido += $o_objBean->getSaldoPrestamo();
  }
}


$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',13);

$pdf->SetX(POS_IZQ);
$pdf->Cell(25,3,"N.P: ".(count($a_ObjectBean)),0,0,'L',1);
$pdf->Cell(25,3,"T.S: ".(number_format($sumaTotalSaldo,2)),0,0,'L',1);
$pdf->Cell(25,3,"T.V: ".(number_format($sumaVencido,2)),0,1,'L',1);

$pdf->SetX(POS_IZQ);   
$pdf->SetFillColor(236,235,236);  
$pdf->SetFont('times','',13);
$pdf->Cell(13,4,'Nro.',1,0,'L',1);
$pdf->Cell(55,4,'Cliente',1,0,'L',1);
$pdf->Cell(8,4,'%',1,0,'C',1);
$pdf->Cell(18,4,'M.Total',1,0,'L',1);
$pdf->Cell(18,4,'Saldo',1,0,'L',1);
$pdf->Cell(11,4,'Amort',1,0,'L',1);
$pdf->Cell(19,4,'F.Vencim',1,0,'L',1);
$pdf->Cell(5,4,'T',1,0,'L',1);
$pdf->Cell(15,4,'Condicion',1,0,'L',1);
$pdf->Cell(8,4,'Dia 1',1,0,'L',1);
$pdf->Cell(10,4,'Dia 2',1,1,'L',1);
//$pdf->Cell(10,0,'',1,1,'L',1);

//$pdf->Cell(10,4,date('Y-m-d'),1,0,'L',1);
/*$pdf->Cell(10,4,date('Y-m-d',strtotime('+1 days')),1,0,'L',1);
$pdf->Cell(10,4,date('Y-m-d',strtotime('+2 days')),1,1,'L',1);*/

//$pdf->Cell(35,4,'Inicio',0,0,'L',1);
/*fin de cabecera*/



$pos    = 35;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',13);

if(count($a_ObjectBean)>0){
//for($i=1;$i<50;$i++){	
  reset($a_ObjectBean);
 
  
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  	  $fechaven = "";	
  	  $vencido = "";	
  	  if($o_objBean->getEstado() == 'P' && $o_objBean->getFechaVencimiento() < date('Y-m-d')){ 	
  	  	$vencido = "V";
  	  	$fechaven=  $o_objBean->getFechaVencimiento();
  	  }
  	  if($o_objBean->getOrigen() == 'R'){
  	  	$origen ='N';
  	  }elseif($o_objBean->getOrigen() == 'F'){
  	  	$origen ='R';
  	  }
  	  $amortizacion = $o_objBean->getMontoTotal() - $o_objBean->getSaldoPrestamo();
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(13,4,($o_objBean->getIdPrestamo()),1,0,'L',1);
      $pdf->Cell(55,4,utf8_encode(ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto()))),1,0,'L',1);
      $pdf->Cell(8,4,$o_objBean->getInteresPorcentaje().'%',1,0,'R',1);
      $pdf->Cell(18,4,number_format($o_objBean->getMontoTotal(),2),1,0,'R',1);
      $pdf->Cell(18,4,number_format($o_objBean->getSaldoPrestamo(),2),1,0,'R',1);
      $pdf->Cell(11,4,number_format($amortizacion,2),1,0,'R',1);
      $pdf->SetFont('times','',13);
      $pdf->Cell(19,4,$fechaven,1,0,'R',1);
      $pdf->Cell(5,4,$origen,1,0,'C',1);
      $pdf->Cell(15,4,getEstadoCondicion($o_objBean->getCondicion()),1,0,'C',1);
      $pdf->Cell(8,4,number_format($o_objBean->getPago_1(),2),1,0,'L',1);
      $pdf->Cell(10,4,number_format($o_objBean->getPago_2(),2),1,1,'L',1);
      //$pdf->Cell(10,0,'',1,1,'L',1);
      
    }
//}
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);
  
}
$pdf->Output();
?>